<div>
  <button type="button" class="close" data-dismiss="modal" (click)="dialogRef.close()">
    &times;
  </button>
  <h1 class="modal-title" style="text-align: center;">DUE AMOUNT SPLIT UP</h1>
  <div *ngIf="loader">
    <img class="loading_indicator" src="assets/img/loading.gif" alt="loader"/>
  </div>
  <div class="container" *ngIf="!loader" style="height: 90vh;overflow: scroll;">
    <div>
      <h4>DUE DETAILS</h4>
      <table aria-describedby="Manage Company" class="table table-bordered">
        <thead>
          <tr>
            <th scope="col">Due amount</th>
            <th scope="col">Settled amount</th>
            <th scope="col">Previous unsettled</th>
            <th scope="col">View Previous Splitups</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>{{jobData.due_amount?jobData.due_amount.$numberDecimal:0}}</td>
            <td>{{jobData.settled_amount?jobData.settled_amount.$numberDecimal:0}}</td>
            <td *ngIf='jobData.previous_unsettled.length>0'>
              <p *ngFor='let job of jobData.previous_unsettled'>
                job id :{{job.job_readable_id}},Due amount :
                {{job.due_amount?job.due_amount.$numberDecimal:0}},Settled_amount:{{job.settled_amount?job.settled_amount.$numberDecimal:0}}
              </p>
            </td>
            <td *ngIf='jobData.previous_unsettled.length==0'>No previous unsettled</td>
            <td>
              <button type="button" class="btn btn-default" (click)="fetchPreviousSplitups()">
                View
              </button>
            </td>
          </tr>
      </table>
      <div class="col-sm-12" *ngIf='carryovertext'>
        <p>Carried forward from archived</p>
      </div>
      <div class="col-sm-12" *ngIf='cash_orders_pending.length>0'>
        <h4 style="text-align: center;">PREVIOUS DUE CASH TRIPS</h4>
        <table aria-describedby="Manage Company" class="table table-bordered">
          <thead>
            <tr>
              <th scope="col">Trip ID</th>
              <th scope="col">Trip amount</th>
              <th scope="col">Discount amount</th>
              <th scope="col">Driver revenue amount</th>
              <th scope="col">Fee collected</th>
              <th scope="col">Customer Paid</th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let data of cash_orders_pending">
              <td>{{data.unique_order_id}}</td>
              <td>{{data.total_amount}}</td>
              <td>{{data.discount_amount}}</td>
              <td>{{data.driver_revenue}}</td>
              <td>{{data.fee_collect}}</td>
              <td>{{data.collected_amount}}</td>
            </tr>
        </table>
      </div>
      <div class="col-sm-12" *ngIf='pos_orders_pending.length>0'>
        <h4 style="text-align: center;">PREVIOUS DUE POS TRIPS</h4>
        <table aria-describedby="Manage Company" class="table table-bordered">
          <thead>
            <tr>
              <th scope="col">Trip ID</th>
              <th scope="col">Trip amount</th>
              <th scope="col">Discount amount</th>
              <th scope="col">Driver revenue amount</th>
              <th scope="col">Fee collected</th>
              <th scope="col">Customer Paid</th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let data of pos_orders_pending">
              <td>{{data.unique_order_id}}</td>
              <td>{{data.total_amount}}</td>
              <td>{{data.discount_amount}}</td>
              <td>{{data.driver_revenue}}</td>
              <td>{{data.fee_collect}}</td>
              <td>{{data.collected_amount}}</td>
            </tr>
        </table>
      </div>
      <div class="col-sm-12" *ngIf='online_orders_pending.length>0'>
        <h4 style="text-align: center;">PREVIOUS DUE ONLINE TRIPS</h4>
        <table aria-describedby="Manage Company" class="table table-bordered">
          <thead>
            <tr>
              <th scope="col">Trip ID</th>
              <th scope="col">Trip amount</th>
              <th scope="col">Discount amount</th>
              <th scope="col">Driver revenue amount</th>
              <th scope="col">Fee collected</th>
              <th scope="col">Customer Paid</th>
              <th scope="col">Cybersource ref</th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let data of online_orders_pending">
              <td>{{data.unique_order_id}}</td>
              <td>{{data.total_amount}}</td>
              <td>{{data.discount_amount}}</td>
              <td>{{data.driver_revenue}}</td>
              <td>{{data.fee_collect}}</td>
              <td>{{data.collected_amount}}</td>
              <td>{{data.cybersource_id?data.cybersource_id:NILL}}</td>
            </tr>
        </table>
      </div>
    </div>
    <div>
      <h4>DUE CALCULAT ED AS</h4>
      <p>Total cash amount (included promo) : {{cash_collected?cash_collected:0}}</p>
      <p>Total cash in hand : {{cash_in_hand?cash_in_hand:0}}</p>
      <p>Total cash order revenue (driver revenue) : {{cash_revenue?cash_revenue:0}}</p>
      <p>Total online amount (included promo): {{online_collected?online_collected:0}}</p>
      <p>Total online order revenue (driver revenue) : {{online_revenue?online_revenue:0}}</p>
      <p>Total POS amount (included promo): {{pos_collected?pos_collected:0}}</p>
      <p>Total POS order revenue (driver revenue) : {{pos_revenue?pos_revenue:0}}</p>
    </div>
    <div>
      <p><strong>Total due amount = </strong> <strong>Total Driver revenue </strong><span style="color:red"><strong> - </strong></span><strong>(Driver
          total
          cash in hand</strong><span style="color:green"><strong> + </strong></span><strong>Previous Due)</strong></p>
      <p><strong>{{total_due}} = {{total_revenue}} <span style="color:red"> - </span>{{cash_in_hand}}</strong></p>
    </div>
    <div class="col-sm-12" *ngIf='cash_orders.length>0'>
      <h4 style="text-align: center;">CASH TRIPS</h4>
      <table aria-describedby="Manage Company" class="table table-bordered">
        <thead>
          <tr>
            <th scope="col">Trip ID</th>
            <th scope="col">Trip amount</th>
            <th scope="col">Discount amount</th>
            <th scope="col">Driver revenue amount</th>
            <th scope="col">Fee collected</th>
            <th scope="col">Customer Paid</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let data of cash_orders">
            <td>{{data.unique_order_id}}</td>
            <td>{{data.total_amount}}</td>
            <td>{{data.discount_amount}}</td>
            <td>{{data.driver_revenue}}</td>
            <td>{{data.fee_collect}}</td>
            <td>{{data.collected_amount}}</td>
          </tr>
      </table>
    </div>
    <div class="col-sm-12" *ngIf='pos_orders.length>0'>
      <h4 style="text-align: center;">POS TRIPS</h4>
      <table aria-describedby="Manage Company" class="table table-bordered">
        <thead>
          <tr>
            <th scope="col">Trip ID</th>
            <th scope="col">Trip amount</th>
            <th scope="col">Discount amount</th>
            <th scope="col">Driver revenue amount</th>
            <th scope="col">Fee collected</th>
            <th scope="col">Customer Paid</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let data of pos_orders">
            <td>{{data.unique_order_id}}</td>
            <td>{{data.total_amount}}</td>
            <td>{{data.discount_amount}}</td>
            <td>{{data.driver_revenue}}</td>
            <td>{{data.fee_collect}}</td>
            <td>{{data.collected_amount}}</td>
          </tr>
      </table>
    </div>
    <div class="col-sm-12" *ngIf='online_orders.length>0'>
      <h4 style="text-align: center;">ONLINE TRIPS</h4>
      <table aria-describedby="Manage Company" class="table table-bordered">
        <thead>
          <tr>
            <th scope="col">Trip ID</th>
            <th scope="col">Trip amount</th>
            <th scope="col">Discount amount</th>
            <th scope="col">Driver revenue amount</th>
            <th scope="col">Fee collected</th>
            <th scope="col">Customer Paid</th>
            <th scope="col">Cybersource ref</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let data of online_orders">
            <td>{{data.unique_order_id}}</td>
            <td>{{data.total_amount}}</td>
            <td>{{data.discount_amount}}</td>
            <td>{{data.driver_revenue}}</td>
            <td>{{data.fee_collect}}</td>
            <td>{{data.collected_amount}}</td>
            <td>{{data.cybersource_id?data.cybersource_id:NILL}}</td>
          </tr>
      </table>
    </div>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-default" [mat-dialog-close]>
      Close
    </button>
  </div>
</div>